#define _XOPEN_SOURCE 700
#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <stdbool.h>
#include <string.h>
#include <sys/types.h>
#include <utime.h>

void CHECK(bool expr, const char *msg)
{
    if (!expr)
    {
        perror(msg);
        exit(1);
    }
}

int main(int argc, char **argv) {
    CHECK(3 == argc, "argc");
    
    time_t seconds = strtol(argv[2], NULL, 10);
    struct utimbuf utBuf;
    utBuf.actime = seconds;
    utBuf.modtime = seconds;
    CHECK(-1 != utime(argv[1], &utBuf), "utime");
    return 0;
}
