#define _XOPEN_SOURCE 700
#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <stdbool.h>
#include <string.h>
#include <sys/types.h>
#include <utime.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#define MAX_WORD_LEN (256)

void CHECK(bool expr, const char *msg)
{
    if (!expr)
    {
        perror(msg);
        exit(1);
    }
}

int main(int argc, char **argv) {
    CHECK(3 == argc, "argc");
    
    FILE *offsetsAndWordsFile = fopen(argv[1], "r");
    CHECK(offsetsAndWordsFile, "fopen");
    int targetFileFd = open(argv[2], O_WRONLY);
    CHECK(-1 != targetFileFd, "open");
    
    char word[MAX_WORD_LEN];
    int offset;
    while (2 == fscanf(offsetsAndWordsFile, "%d%s", &offset, word))
    {
        CHECK(-1 != lseek(targetFileFd, offset, SEEK_SET), "lseek");
        CHECK(-1 != write(targetFileFd, word, strlen(word)), "write");
    }
    
    CHECK(!ferror(offsetsAndWordsFile), "ferror");
    
    fclose(offsetsAndWordsFile);
    close(targetFileFd);
    return 0;
}
